Last Comment Bug 734641 - Intermittent mochitest-browser-chrome browser/devtools/debugger/test/browser_dbg_bug723069_editor-breakpoints.js | The correct script was loaded initially. - Didn't expect -1, but got it
: Intermittent mochitest-browser-chrome browser/devtools/debugger/test/browser_...
Status: RESOLVED FIXED
: intermittent-failure
Product: Firefox
Classification: Client Software
Component: Developer Tools: Debugger (show other bugs)
: Trunk
: All All
: P2 normal (vote)
: Firefox 14
Assigned To: Mihai Sucan [:msucan]
:
: James Long (:jlongster)
Mentors:
Depends on:
Blocks: 438871 723069 744697
  Show dependency treegraph
 
Reported: 2012-03-10 07:02 PST by Ryan VanderMeulen [:RyanVM]
Modified: 2012-11-25 19:31 PST (History)
5 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
proposed fix (19.25 KB, patch)
2012-04-02 03:31 PDT, Mihai Sucan [:msucan]
rcampbell: review+
Details | Diff | Splinter Review
moar fixes (12.04 KB, patch)
2012-04-17 12:27 PDT, Mihai Sucan [:msucan]
rcampbell: review+
Details | Diff | Splinter Review
moar fixes - rebased (9.97 KB, patch)
2012-04-26 05:33 PDT, Mihai Sucan [:msucan]
no flags Details | Diff | Splinter Review

Description Ryan VanderMeulen [:RyanVM] 2012-03-10 07:02:55 PST
https://tbpl.mozilla.org/php/getParsedLog.php?id=9969190&tree=Mozilla-Inbound

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_bug723069_editor-breakpoints.js | The correct script was loaded initially. - Didn't expect -1, but got it
Stack trace:
    JS frame :: chrome://mochikit/content/browser-test.js :: test_isnot :: line 450
    JS frame :: chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_bug723069_editor-breakpoints.js :: onScriptsAdded :: line 49
Comment 1 Mihai Sucan [:msucan] 2012-03-10 08:03:34 PST
I'm almost certain this is some kind of a duplicate of bug 728926 - both tests have the same problem.
Comment 3 Treeherder Robot 2012-03-11 08:57:58 PDT
Ms2ger%gmail.com
https://tbpl.mozilla.org/php/getParsedLog.php?id=9987006&tree=Mozilla-Inbound
Rev3 WINNT 5.1 mozilla-inbound pgo test mochitest-other on 2012-03-11 07:37:25

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_bug723069_editor-breakpoints.js | The correct script was loaded initially. - Didn't expect -1, but got it
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_bug723069_editor-breakpoints.js | editor.getBreakpoints().length is correct - Got 0, expected 1
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_bug723069_editor-breakpoints.js | no breakpoint was added to the editor - Got 1, expected 0
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_bug723069_editor-breakpoints.js | one breakpoint was removed from the editor - Got 0, expected 1
Comment 4 Treeherder Robot 2012-03-11 13:16:29 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=9985307&tree=Services-Central
Rev3 WINNT 5.1 services-central pgo test mochitest-other on 2012-03-11 04:41:19

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/base/content/test/browser_sanitize-timespans.js | Pretend visit to today.com should still exist
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/base/content/test/browser_sanitize-timespans.js | today form entry should still exist
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/base/content/test/browser_sanitize-timespans.js | 'Today' download should still be present
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_bug723069_editor-breakpoints.js | The correct script was loaded initially. - Didn't expect -1, but got it
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_bug723069_editor-breakpoints.js | editor.getBreakpoints().length is correct - Got 0, expected 1
Comment 5 Panos Astithas [:past] 2012-03-12 01:50:56 PDT
(In reply to Mihai Sucan [:msucan] from comment #1)
> I'm almost certain this is some kind of a duplicate of bug 728926 - both
> tests have the same problem.

I think you are right, it looks like a race between updating the editor contents and the script list.
Comment 6 Treeherder Robot 2012-03-12 16:36:51 PDT
robcee
https://tbpl.mozilla.org/php/getParsedLog.php?id=10012439&tree=Fx-Team
Rev3 WINNT 5.1 fx-team opt test mochitest-other on 2012-03-12 14:46:27

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_bug723069_editor-breakpoints.js | The correct script was loaded initially. - Didn't expect -1, but got it
Comment 7 Treeherder Robot 2012-03-13 14:10:23 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=10040497&tree=Firefox
Rev3 MacOSX Leopard 10.5.8 mozilla-central opt test mochitest-other on 2012-03-13 12:52:29

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_bug723069_editor-breakpoints.js | The correct script was loaded initially. - Didn't expect -1, but got it
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_bug723069_editor-breakpoints.js | editor.getBreakpoints().length is correct - Got 0, expected 1
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_bug723069_editor-breakpoints.js | The first script is displayed. - Didn't expect -1, but got it
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_bug723069_editor-breakpoints.js | no breakpoint was added to the editor - Got 1, expected 0
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_bug723069_editor-breakpoints.js | one breakpoint was removed from the editor - Got 0, expected 1
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_bug723069_editor-breakpoints.js | Test timed out
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_bug723069_editor-breakpoints.js | no breakpoint in the debugger - Got 1, expected 0
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_bug723069_editor-breakpoints.js | getBreakpoint(scriptLocations[0], 5) returns no breakpoint
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_bug731394_editor-contextmenu.js | The correct script was loaded initially. - Didn't expect -1, but got it
Comment 8 Treeherder Robot 2012-03-13 23:38:47 PDT
felipe
https://tbpl.mozilla.org/php/getParsedLog.php?id=10052605&tree=Try
Rev3 WINNT 5.1 try opt test mochitest-other on 2012-03-13 21:11:05

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_bug723069_editor-breakpoints.js | The correct script was loaded initially. - Didn't expect -1, but got it
Comment 9 Treeherder Robot 2012-03-14 10:47:19 PDT
Aryeh Gregor
https://tbpl.mozilla.org/php/getParsedLog.php?id=10041790&tree=Try
Rev3 WINNT 5.1 try opt test mochitest-other on 2012-03-13 13:41:30

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_bug723069_editor-breakpoints.js | The correct script was loaded initially. - Didn't expect -1, but got it
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_bug723069_editor-breakpoints.js | editor.getBreakpoints().length is correct - Got 0, expected 1
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_bug723069_editor-breakpoints.js | no breakpoint was added to the editor - Got 1, expected 0
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_bug723069_editor-breakpoints.js | one breakpoint was removed from the editor - Got 0, expected 1
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_bug731394_editor-contextmenu.js | The correct script was loaded initially. - Didn't expect -1, but got it
Comment 10 Treeherder Robot 2012-03-14 17:49:22 PDT
edmorley
https://tbpl.mozilla.org/php/getParsedLog.php?id=10076590&tree=Firefox
Rev3 WINNT 5.1 mozilla-central pgo test mochitest-other on 2012-03-14 17:10:28

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_bug723069_editor-breakpoints.js | The correct script was loaded initially. - Didn't expect -1, but got it
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_bug723069_editor-breakpoints.js | editor.getBreakpoints().length is correct - Got 0, expected 1
Comment 11 Treeherder Robot 2012-03-14 17:50:56 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=10076590&tree=Firefox
Rev3 WINNT 5.1 mozilla-central pgo test mochitest-other on 2012-03-14 17:10:28

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_bug723069_editor-breakpoints.js | The correct script was loaded initially. - Didn't expect -1, but got it
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_bug723069_editor-breakpoints.js | editor.getBreakpoints().length is correct - Got 0, expected 1
Comment 12 Treeherder Robot 2012-03-15 06:25:50 PDT
mats
https://tbpl.mozilla.org/php/getParsedLog.php?id=10089444&tree=Try
Rev3 WINNT 5.1 try opt test mochitest-other on 2012-03-15 01:28:47

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_bug723069_editor-breakpoints.js | The correct script was loaded initially. - Didn't expect -1, but got it
Comment 13 Treeherder Robot 2012-03-17 21:58:14 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=10159002&tree=Firefox
Rev3 WINNT 5.1 mozilla-central pgo test mochitest-other on 2012-03-17 21:12:30

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_bug723069_editor-breakpoints.js | The correct script was loaded initially. - Didn't expect -1, but got it
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_bug723069_editor-breakpoints.js | editor.getBreakpoints().length is correct - Got 0, expected 1
Comment 14 Treeherder Robot 2012-03-19 03:16:01 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=10174534&tree=Mozilla-Inbound
Rev3 WINNT 5.1 mozilla-inbound opt test mochitest-other on 2012-03-19 02:01:48

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_bug723069_editor-breakpoints.js | The correct script was loaded initially. - Didn't expect -1, but got it
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_bug723069_editor-breakpoints.js | editor.getBreakpoints().length is correct - Got 0, expected 1
Comment 15 Treeherder Robot 2012-03-19 03:18:48 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=10174940&tree=Mozilla-Inbound
Rev4 MacOSX Snow Leopard 10.6 mozilla-inbound opt test mochitest-other on 2012-03-19 02:39:23

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_bug723069_editor-breakpoints.js | The correct script was loaded initially. - Didn't expect -1, but got it
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_bug723069_editor-breakpoints.js | editor.getBreakpoints().length is correct - Got 0, expected 1
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_bug723069_editor-breakpoints.js | no breakpoint was added to the editor - Got 1, expected 0
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_bug723069_editor-breakpoints.js | one breakpoint was removed from the editor - Got 0, expected 1
Comment 16 Treeherder Robot 2012-03-19 04:05:20 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=10175379&tree=Firefox
Rev3 WINNT 5.1 mozilla-central pgo test mochitest-other on 2012-03-19 03:23:32

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_bug723069_editor-breakpoints.js | The correct script was loaded initially. - Didn't expect -1, but got it
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_bug723069_editor-breakpoints.js | editor.getBreakpoints().length is correct - Got 0, expected 1
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_bug731394_editor-contextmenu.js | The correct script was loaded initially. - Didn't expect -1, but got it
Comment 17 Treeherder Robot 2012-03-19 17:48:15 PDT
ryanvm%gmail.com
https://tbpl.mozilla.org/php/getParsedLog.php?id=10195133&tree=Mozilla-Inbound
Rev3 WINNT 5.1 mozilla-inbound opt test mochitest-other on 2012-03-19 17:07:59

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_bug723069_editor-breakpoints.js | The correct script was loaded initially. - Didn't expect -1, but got it
Comment 18 Treeherder Robot 2012-03-19 19:45:05 PDT
darktrojan
https://tbpl.mozilla.org/php/getParsedLog.php?id=10198462&tree=Firefox
Rev3 WINNT 5.1 mozilla-central pgo test mochitest-other on 2012-03-19 18:59:43

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_bug723069_editor-breakpoints.js | The correct script was loaded initially. - Didn't expect -1, but got it
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_bug723069_editor-breakpoints.js | no breakpoint was added to the editor - Got 1, expected 0
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_bug723069_editor-breakpoints.js | one breakpoint was removed from the editor - Got 0, expected 1
Comment 19 Treeherder Robot 2012-03-20 08:54:33 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=10214215&tree=Mozilla-Inbound
Rev3 Fedora 12x64 mozilla-inbound debug test mochitest-other on 2012-03-20 07:52:55

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_bug723069_editor-breakpoints.js | The correct script was loaded initially. - Didn't expect -1, but got it
Comment 20 Treeherder Robot 2012-03-20 13:01:35 PDT
mbrubeck
https://tbpl.mozilla.org/php/getParsedLog.php?id=10219203&tree=Mozilla-Inbound
Rev3 WINNT 5.1 mozilla-inbound opt test mochitest-other on 2012-03-20 12:04:35

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_bug723069_editor-breakpoints.js | The correct script was loaded initially. - Didn't expect -1, but got it
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_bug723069_editor-breakpoints.js | editor.getBreakpoints().length is correct - Got 0, expected 1
Comment 21 Treeherder Robot 2012-03-20 13:45:32 PDT
sgautherie
https://tbpl.mozilla.org/php/getParsedLog.php?id=10220825&tree=Firefox
Rev3 WINNT 5.1 mozilla-central opt test mochitest-other on 2012-03-20 13:02:44

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/components/sessionstore/test/browser_464620_b.js | Test timed out
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/components/sessionstore/test/browser_464620_b.js | Found a tab after previous test timed out: http://mochi.test:8888/browser/browser/components/sessionstore/test/browser_464620_b.html
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_bug723069_editor-breakpoints.js | The correct script was loaded initially. - Didn't expect -1, but got it
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_bug723069_editor-breakpoints.js | editor.getBreakpoints().length is correct - Got 0, expected 1
Comment 22 Treeherder Robot 2012-03-20 13:45:43 PDT
mbrubeck
https://tbpl.mozilla.org/php/getParsedLog.php?id=10220825&tree=Firefox
Rev3 WINNT 5.1 mozilla-central opt test mochitest-other on 2012-03-20 13:02:44

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/components/sessionstore/test/browser_464620_b.js | Test timed out
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/components/sessionstore/test/browser_464620_b.js | Found a tab after previous test timed out: http://mochi.test:8888/browser/browser/components/sessionstore/test/browser_464620_b.html
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_bug723069_editor-breakpoints.js | The correct script was loaded initially. - Didn't expect -1, but got it
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_bug723069_editor-breakpoints.js | editor.getBreakpoints().length is correct - Got 0, expected 1
Comment 23 Treeherder Robot 2012-03-21 11:44:44 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=10247712&tree=Mozilla-Inbound
Rev3 Fedora 12x64 mozilla-inbound debug test mochitest-other on 2012-03-21 10:20:57

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_bug723069_editor-breakpoints.js | The correct script was loaded initially. - Didn't expect -1, but got it
Comment 24 Treeherder Robot 2012-03-21 22:47:53 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=10260868&tree=Firefox
Rev3 WINNT 5.1 mozilla-central debug test mochitest-other on 2012-03-21 17:46:10

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_bug723069_editor-breakpoints.js | The correct script was loaded initially. - Didn't expect -1, but got it
Comment 25 Treeherder Robot 2012-03-22 08:54:00 PDT
hurley
https://tbpl.mozilla.org/php/getParsedLog.php?id=10258275&tree=Try
Rev3 WINNT 5.1 try opt test mochitest-other on 2012-03-21 16:50:50

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_bug723069_editor-breakpoints.js | The correct script was loaded initially. - Didn't expect -1, but got it
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_bug723069_editor-breakpoints.js | editor.getBreakpoints().length is correct - Got 0, expected 1
Comment 26 Treeherder Robot 2012-03-22 22:04:28 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=10301462&tree=Mozilla-Inbound
Rev3 WINNT 5.1 mozilla-inbound opt test mochitest-other on 2012-03-22 19:23:54

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_bug723069_editor-breakpoints.js | The correct script was loaded initially. - Didn't expect -1, but got it
Comment 27 Treeherder Robot 2012-03-23 07:40:20 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=10314897&tree=Mozilla-Inbound
Rev3 WINNT 5.1 mozilla-inbound opt test mochitest-other on 2012-03-23 06:19:46

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_bug723069_editor-breakpoints.js | The correct script was loaded initially. - Didn't expect -1, but got it
Comment 28 Treeherder Robot 2012-03-23 09:39:03 PDT
jwein%mozilla.com
https://tbpl.mozilla.org/php/getParsedLog.php?id=10309321&tree=Try
Rev3 WINNT 5.1 try opt test mochitest-other on 2012-03-23 00:43:32

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_bug723069_editor-breakpoints.js | The correct script was loaded initially. - Didn't expect -1, but got it
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_bug723069_editor-breakpoints.js | editor.getBreakpoints().length is correct - Got 0, expected 1
Comment 29 Treeherder Robot 2012-03-23 15:52:22 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=10298753&tree=Mozilla-Inbound
Rev3 WINNT 5.1 mozilla-inbound opt test mochitest-other on 2012-03-22 17:55:12

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_bug723069_editor-breakpoints.js | The correct script was loaded initially. - Didn't expect -1, but got it
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_bug723069_editor-breakpoints.js | editor.getBreakpoints().length is correct - Got 0, expected 1
Comment 30 Treeherder Robot 2012-03-23 21:56:33 PDT
ryanvm%gmail.com
https://tbpl.mozilla.org/php/getParsedLog.php?id=10339931&tree=Mozilla-Inbound
Rev3 WINNT 5.1 mozilla-inbound pgo test mochitest-other on 2012-03-23 21:16:32

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/base/content/test/browser_bug441778.js | zoom is retained after sub-document load - Got 1, expected 1.100000023841858
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_bug723069_editor-breakpoints.js | The correct script was loaded initially. - Didn't expect -1, but got it
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_bug723069_editor-breakpoints.js | editor.getBreakpoints().length is correct - Got 0, expected 1
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_bug723069_editor-breakpoints.js | no breakpoint was added to the editor - Got 1, expected 0
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_bug723069_editor-breakpoints.js | one breakpoint was removed from the editor - Got 0, expected 1
Comment 31 Treeherder Robot 2012-03-24 01:07:26 PDT
ttaubert
https://tbpl.mozilla.org/php/getParsedLog.php?id=10338860&tree=Try
Rev3 WINNT 5.1 try opt test mochitest-other on 2012-03-23 20:33:39

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_bug723069_editor-breakpoints.js | The correct script was loaded initially. - Didn't expect -1, but got it
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_bug723069_editor-breakpoints.js | editor.getBreakpoints().length is correct - Got 0, expected 1
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_bug723069_editor-breakpoints.js | no breakpoint was added to the editor - Got 1, expected 0
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_bug723069_editor-breakpoints.js | one breakpoint was removed from the editor - Got 0, expected 1
Comment 32 Treeherder Robot 2012-03-24 16:22:03 PDT
ryanvm%gmail.com
https://tbpl.mozilla.org/php/getParsedLog.php?id=10351334&tree=Mozilla-Inbound
Rev3 WINNT 5.1 mozilla-inbound opt test mochitest-other on 2012-03-24 15:43:48

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_bug723069_editor-breakpoints.js | The correct script was loaded initially. - Didn't expect -1, but got it
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_bug723069_editor-breakpoints.js | editor.getBreakpoints().length is correct - Got 0, expected 1
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_bug723069_editor-breakpoints.js | no breakpoint was added to the editor - Got 1, expected 0
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_bug723069_editor-breakpoints.js | one breakpoint was removed from the editor - Got 0, expected 1
Comment 33 Treeherder Robot 2012-03-24 17:36:13 PDT
mats
https://tbpl.mozilla.org/php/getParsedLog.php?id=10351538&tree=Try
Rev3 WINNT 5.1 try opt test mochitest-other on 2012-03-24 16:55:48

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_bug723069_editor-breakpoints.js | The correct script was loaded initially. - Didn't expect -1, but got it
Comment 34 Treeherder Robot 2012-03-25 22:53:21 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=10365842&tree=Mozilla-Inbound
Rev3 WINNT 5.1 mozilla-inbound opt test mochitest-other on 2012-03-25 22:14:45

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_bug723069_editor-breakpoints.js | The correct script was loaded initially. - Didn't expect -1, but got it
Comment 35 Treeherder Robot 2012-03-27 10:24:15 PDT
edmorley
https://tbpl.mozilla.org/php/getParsedLog.php?id=10407989&tree=Firefox
Rev3 WINNT 5.1 mozilla-central pgo test mochitest-other on 2012-03-27 09:22:50

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_bug723069_editor-breakpoints.js | The correct script was loaded initially. - Didn't expect -1, but got it
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_bug723069_editor-breakpoints.js | editor.getBreakpoints().length is correct - Got 0, expected 1
Comment 36 Treeherder Robot 2012-03-27 10:37:32 PDT
edmorley
https://tbpl.mozilla.org/php/getParsedLog.php?id=10405559&tree=Fx-Team
Rev3 WINNT 5.1 fx-team pgo test mochitest-other on 2012-03-27 07:27:54

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/components/sessionstore/test/browser_522545.js | sessionstore got correct userTypedValue - Got undefined, expected example.org
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/components/sessionstore/test/browser_522545.js | sessionstore got correct userTypedClear - Got undefined, expected 0
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_bug723069_editor-breakpoints.js | The correct script was loaded initially. - Didn't expect -1, but got it
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_bug723069_editor-breakpoints.js | editor.getBreakpoints().length is correct - Got 0, expected 1
Comment 37 Treeherder Robot 2012-03-27 15:20:31 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=10415976&tree=Mozilla-Inbound
Rev3 WINNT 5.1 mozilla-inbound opt test mochitest-other on 2012-03-27 14:28:48

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_bug723069_editor-breakpoints.js | The correct script was loaded initially. - Didn't expect -1, but got it
Comment 38 Treeherder Robot 2012-03-27 15:41:14 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=10409738&tree=Mozilla-Inbound
Rev3 WINNT 5.1 mozilla-inbound opt test mochitest-other on 2012-03-27 10:42:50

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_bug723069_editor-breakpoints.js | The correct script was loaded initially. - Didn't expect -1, but got it
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_bug723069_editor-breakpoints.js | editor.getBreakpoints().length is correct - Got 0, expected 1
Comment 39 Treeherder Robot 2012-03-30 15:19:15 PDT
ttaubert
https://tbpl.mozilla.org/php/getParsedLog.php?id=10514311&tree=Fx-Team
Rev3 Fedora 12 fx-team debug test mochitest-other on 2012-03-30 14:13:09

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_bug723069_editor-breakpoints.js | the correct sccript is selected - Didn't expect http://example.com/browser/browser/devtools/debugger/test/test-script-switching-02.js, but got it
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_bug723069_editor-breakpoints.js | first script location is not the currently selected script - Didn't expect http://example.com/browser/browser/devtools/debugger/test/test-script-switching-02.js, but got it
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_bug723069_editor-breakpoints.js | breakpoint2 must not be added to the editor
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_bug723069_editor-breakpoints.js | The second script is no longer displayed. - Got 201, expected -1
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_bug723069_editor-breakpoints.js | The first script is displayed. - Didn't expect -1, but got it
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_bug723069_editor-breakpoints.js | correct number of editor breakpoint changes - Got 5, expected 4
Comment 40 Mihai Sucan [:msucan] 2012-04-02 03:31:46 PDT
Created attachment 611412 [details] [diff] [review]
proposed fix

This patch adds a "Debugger:ScriptShown" event and makes changes to tests so they hopefully no longer fail.

I also fixed bug 736038 and bug 739316 with this patch.

Try server results:

https://tbpl.mozilla.org/?tree=Try&rev=2b341d5ea67e

Results seem good: none of the runs show failures in any of the three tests I attempted fixing.

I'm looking forward to your review - thank you!
Comment 41 Treeherder Robot 2012-04-02 12:57:41 PDT
mbrubeck
https://tbpl.mozilla.org/php/getParsedLog.php?id=10573072&tree=Mozilla-Inbound
Rev3 Fedora 12x64 mozilla-inbound debug test mochitest-other on 2012-04-02 11:51:06

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_bug723069_editor-breakpoints.js | The correct script was loaded initially. - Didn't expect -1, but got it
Comment 42 Rob Campbell [:rc] (:robcee) 2012-04-03 05:46:12 PDT
Comment on attachment 611412 [details] [diff] [review]
proposed fix

in: /browser_dbg_stack-05.js

+
+  function runTest()
+  {
+    if (scriptShown && framesAdded) {
+      Services.tm.currentThread.dispatch({ run: testRecurse }, 0);
+    }
+  }

took me a second to figure out what's going on in this set of changes. Had to make sure this was still testing in the same way, i.e., recursively. I see now that the addOneTimeListener was added a few lines above. This is still essentially the same, and will timeout if the listener isn't caught.

This looks good. Was a little leery of passing around a showOptions parameter in each event, but I think the benefits of green tests outweighs any objections to that.
Comment 43 Rob Campbell [:rc] (:robcee) 2012-04-03 05:58:31 PDT
https://hg.mozilla.org/integration/fx-team/rev/0b426db13d90
Comment 44 Treeherder Robot 2012-04-04 20:49:53 PDT
mwu%mozilla.com
https://tbpl.mozilla.org/php/getParsedLog.php?id=10655405&tree=Mozilla-Inbound
Rev3 WINNT 5.1 mozilla-inbound opt test mochitest-other on 2012-04-04 19:42:28

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_bug723069_editor-breakpoints.js | The correct script was loaded initially. - Didn't expect -1, but got it
Comment 45 Tim Taubert [:ttaubert] 2012-04-05 02:49:39 PDT
https://hg.mozilla.org/mozilla-central/rev/61ec98df2dce
Comment 46 Tim Taubert [:ttaubert] 2012-04-05 02:54:43 PDT
https://hg.mozilla.org/mozilla-central/rev/0b426db13d90
Comment 47 Treeherder Robot 2012-04-11 20:57:49 PDT
mbrubeck
https://tbpl.mozilla.org/php/getParsedLog.php?id=10830487&tree=Mozilla-Aurora
Rev3 WINNT 5.1 mozilla-aurora pgo test mochitest-other on 2012-04-11 19:15:53

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_bug723069_editor-breakpoints.js | The correct script was loaded initially. - Didn't expect -1, but got it
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_bug723069_editor-breakpoints.js | editor.getBreakpoints().length is correct - Got 0, expected 1
Comment 48 Treeherder Robot 2012-04-13 10:06:14 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=10877823&tree=Mozilla-Inbound
Rev3 WINNT 5.1 mozilla-inbound opt test mochitest-other on 2012-04-13 09:14:39

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/components/sessionstore/test/browser_522545.js | sessionstore got correct userTypedValue - Got undefined, expected example.org
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/components/sessionstore/test/browser_522545.js | sessionstore got correct userTypedClear - Got undefined, expected 0
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_bug723069_editor-breakpoints.js | The correct script was loaded initially. - Didn't expect -1, but got it
Comment 49 Treeherder Robot 2012-04-13 17:50:56 PDT
ttaubert
https://tbpl.mozilla.org/php/getParsedLog.php?id=10892852&tree=Fx-Team
Rev3 WINNT 5.1 fx-team opt test mochitest-other on 2012-04-13 16:58:45

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_bug723069_editor-breakpoints.js | The correct script was loaded initially. - Didn't expect -1, but got it
Comment 50 Tim Taubert [:ttaubert] 2012-04-13 17:51:56 PDT
This still fails intermittently.
Comment 51 Treeherder Robot 2012-04-14 17:40:08 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=10904579&tree=Fx-Team
Rev3 WINNT 5.1 fx-team pgo test mochitest-other on 2012-04-14 04:00:20

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_bug723069_editor-breakpoints.js | The correct script was loaded initially. - Didn't expect -1, but got it
Comment 52 Treeherder Robot 2012-04-15 14:06:01 PDT
ryanvm%gmail.com
https://tbpl.mozilla.org/php/getParsedLog.php?id=10919620&tree=Profiling
Rev3 WINNT 5.1 profiling opt test mochitest-other on 2012-04-15 06:11:04

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_bug723069_editor-breakpoints.js | The correct script was loaded initially. - Didn't expect -1, but got it
Comment 53 Treeherder Robot 2012-04-16 00:00:39 PDT
jwalker%mozilla.com
https://tbpl.mozilla.org/php/getParsedLog.php?id=10923759&tree=Try
Rev3 WINNT 5.1 try opt test mochitest-other on 2012-04-15 14:49:37

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_bug723069_editor-breakpoints.js | The correct script was loaded initially. - Didn't expect -1, but got it
Comment 54 Treeherder Robot 2012-04-17 05:03:11 PDT
past
https://tbpl.mozilla.org/php/getParsedLog.php?id=10971465&tree=Fx-Team
Rev3 WINNT 5.1 fx-team opt test mochitest-other on 2012-04-17 04:23:18

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_bug723069_editor-breakpoints.js | The correct script was loaded initially. - Didn't expect -1, but got it
Comment 55 Treeherder Robot 2012-04-17 07:22:32 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=10973447&tree=Mozilla-Inbound
Rev3 WINNT 5.1 mozilla-inbound opt test mochitest-other on 2012-04-17 05:37:15

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_bug723069_editor-breakpoints.js | The correct script was loaded initially. - Didn't expect -1, but got it
Comment 56 Mihai Sucan [:msucan] 2012-04-17 12:27:44 PDT
Created attachment 615821 [details] [diff] [review]
moar fixes

This patches does more fixing for the debugger tests that have started to fail again.

Reason: the code refactoring for the UI changes things slightly - causing tests to get back to their usual intermittent failures. Mochitests are usually "flimsy".

Current problem: the ScriptShown event handler waits for when the desired script is shown, then it removes itself. This can happen to be during scriptsadded, before framesadded. By the time of framesadded the editor can show a different script than the desired one.

Solution: made the tests to wait more nicely for resumed which fires after scriptsadded (IIANM), then do the firstCall() and wait for framesadded. Tests now also wait for all ScriptShown events, so the scriptShown flag is always correct.

In SourceScripts._addScript() the editor.getCharCount() method is called sometimes before the editor completes initialization - this causes breakage. I made a change to avoid such cases.

Hopefully, the intermittent failures are fixed now. Try push:

https://tbpl.mozilla.org/?tree=Try&rev=9d3f867fb101

Looking forward to your review. Thank you!
Comment 57 Panos Astithas [:past] 2012-04-18 01:16:38 PDT
(In reply to Mihai Sucan [:msucan] from comment #56)
> Created attachment 615821 [details] [diff] [review]
> moar fixes
> 
> This patches does more fixing for the debugger tests that have started to
> fail again.
> 
> Reason: the code refactoring for the UI changes things slightly - causing
> tests to get back to their usual intermittent failures. Mochitests are
> usually "flimsy".
> 
> Current problem: the ScriptShown event handler waits for when the desired
> script is shown, then it removes itself. This can happen to be during
> scriptsadded, before framesadded. By the time of framesadded the editor can
> show a different script than the desired one.
> 
> Solution: made the tests to wait more nicely for resumed which fires after
> scriptsadded (IIANM), then do the firstCall() and wait for framesadded.
> Tests now also wait for all ScriptShown events, so the scriptShown flag is
> always correct.
> 
> In SourceScripts._addScript() the editor.getCharCount() method is called
> sometimes before the editor completes initialization - this causes breakage.
> I made a change to avoid such cases.
> 
> Hopefully, the intermittent failures are fixed now. Try push:
> 
> https://tbpl.mozilla.org/?tree=Try&rev=9d3f867fb101
> 
> Looking forward to your review. Thank you!

I don't know if this was changed lately, but the sequence of events has always been paused -> framesadded -> scriptsadded -> resumed, with the caveat that scriptsadded is currently fired only in the first pause (but this will change soon). That said, these changes make sense to me, since waiting for all events should cater for corner cases with weird reordering of events.
Comment 58 Mihai Sucan [:msucan] 2012-04-18 01:43:44 PDT
(In reply to Panos Astithas [:past] from comment #57)
> > Looking forward to your review. Thank you!
> 
> I don't know if this was changed lately, but the sequence of events has
> always been paused -> framesadded -> scriptsadded -> resumed, with the
> caveat that scriptsadded is currently fired only in the first pause (but
> this will change soon). That said, these changes make sense to me, since
> waiting for all events should cater for corner cases with weird reordering
> of events.

You mean the initial sequence of events? Or in general?

Interesting clarification, Panos. Thanks!

I see two ScriptShown events before I call content.firstCall(). Then framesadded when execution pauses at the debugger statement. Still, debug_tab_pane() from head.js abstracts some of the events away - it waits for resume before invoking the callback. So, your sequence of events can be right: paused > framesadded > scriptsadded > resumed > then the callback of the test.
Comment 59 Treeherder Robot 2012-04-18 10:00:42 PDT
edmorley
https://tbpl.mozilla.org/php/getParsedLog.php?id=11008676&tree=Firefox
Rev3 WINNT 5.1 mozilla-central pgo test mochitest-other on 2012-04-18 08:58:45
slave: talos-r3-xp-013

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_bug723069_editor-breakpoints.js | The correct script was loaded initially. - Didn't expect -1, but got it
Comment 60 Rob Campbell [:rc] (:robcee) 2012-04-18 14:18:40 PDT
Comment on attachment 615821 [details] [diff] [review]
moar fixes

hiding for newer patch
Comment 61 Treeherder Robot 2012-04-18 16:57:55 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=11020464&tree=Birch
Rev3 WINNT 5.1 birch pgo test mochitest-other on 2012-04-18 16:19:14
slave: talos-r3-xp-049

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_bug723069_editor-breakpoints.js | The correct script was loaded initially. - Didn't expect -1, but got it
Comment 62 Treeherder Robot 2012-04-19 10:46:07 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=11042716&tree=Birch
Rev3 WINNT 5.1 birch pgo test mochitest-other on 2012-04-19 10:00:48
slave: talos-r3-xp-062

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_bug723069_editor-breakpoints.js | The correct script was loaded initially. - Didn't expect -1, but got it
Comment 63 Treeherder Robot 2012-04-20 07:26:42 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=11067807&tree=Mozilla-Inbound
Rev3 WINNT 5.1 mozilla-inbound pgo test mochitest-other on 2012-04-20 06:45:14
slave: talos-r3-xp-071

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_bug723069_editor-breakpoints.js | The correct script was loaded initially. - Didn't expect -1, but got it
Comment 64 Treeherder Robot 2012-04-20 11:43:44 PDT
ehsan
https://tbpl.mozilla.org/php/getParsedLog.php?id=11071189&tree=Firefox
Rev3 Fedora 12x64 mozilla-central opt test mochitest-other on 2012-04-20 10:37:23
slave: talos-r3-fed64-053

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_bug723069_editor-breakpoints.js | the correct script is selected - Didn't expect http://example.com/browser/browser/devtools/debugger/test/test-script-switching-02.js, but got it
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_bug723069_editor-breakpoints.js | first script location is not the currently selected script - Didn't expect http://example.com/browser/browser/devtools/debugger/test/test-script-switching-02.js, but got it
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_bug723069_editor-breakpoints.js | breakpoint2 must not be added to the editor
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_bug723069_editor-breakpoints.js | Test timed out
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_bug723069_editor-breakpoints.js | no breakpoint in the debugger - Got 1, expected 0
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_bug723069_editor-breakpoints.js | getBreakpoint(scriptLocations[0], 5) returns no breakpoint
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_bug723069_editor-breakpoints.js | correct number of editor breakpoint changes - Got 3, expected 4
Comment 65 Treeherder Robot 2012-04-22 10:16:33 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=11109589&tree=Birch
Rev3 WINNT 5.1 birch pgo test mochitest-other on 2012-04-22 09:38:44
slave: talos-r3-xp-063

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_bug723069_editor-breakpoints.js | The correct script was loaded initially. - Didn't expect -1, but got it
Comment 66 Treeherder Robot 2012-04-24 07:32:12 PDT
edmorley
https://tbpl.mozilla.org/php/getParsedLog.php?id=11155451&tree=Mozilla-Inbound
Rev4 MacOSX Snow Leopard 10.6 mozilla-inbound debug test mochitest-other on 2012-04-24 06:31:08
slave: talos-r4-snow-058

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_bug723069_editor-breakpoints.js | the correct script is selected - Didn't expect http://example.com/browser/browser/devtools/debugger/test/test-script-switching-02.js, but got it
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_bug723069_editor-breakpoints.js | first script location is not the currently selected script - Didn't expect http://example.com/browser/browser/devtools/debugger/test/test-script-switching-02.js, but got it
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_bug723069_editor-breakpoints.js | breakpoint2 must not be added to the editor
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_bug723069_editor-breakpoints.js | Test timed out
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_bug723069_editor-breakpoints.js | no breakpoint in the debugger - Got 1, expected 0
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_bug723069_editor-breakpoints.js | getBreakpoint(scriptLocations[0], 5) returns no breakpoint
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_bug723069_editor-breakpoints.js | correct number of editor breakpoint changes - Got 3, expected 4
Comment 67 Treeherder Robot 2012-04-24 15:35:44 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=11166803&tree=Mozilla-Inbound
Rev3 WINNT 5.1 mozilla-inbound pgo test mochitest-other on 2012-04-24 12:41:56
slave: talos-r3-xp-029

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_bug723069_editor-breakpoints.js | The correct script was loaded initially. - Didn't expect -1, but got it
Comment 69 Treeherder Robot 2012-04-25 23:28:03 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=11219289&tree=Mozilla-Aurora
Rev3 WINNT 5.1 mozilla-aurora pgo test mochitest-other on 2012-04-25 22:42:06
slave: talos-r3-xp-015

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_bug723069_editor-breakpoints.js | The correct script was loaded initially. - Didn't expect -1, but got it
Comment 70 Mihai Sucan [:msucan] 2012-04-26 05:33:27 PDT
Created attachment 618631 [details] [diff] [review]
moar fixes - rebased

Rebased the patch and landed.

https://hg.mozilla.org/integration/fx-team/rev/455a266e6618

Hopefully this will fix several intermittent failures. Try results looked good.
Comment 71 Treeherder Robot 2012-04-27 01:38:28 PDT
graememcc_firefox%graeme-online.co.uk
https://tbpl.mozilla.org/php/getParsedLog.php?id=11257968&tree=Mozilla-Inbound
Rev3 WINNT 5.1 mozilla-inbound opt test mochitest-other on 2012-04-27 00:03:11
slave: talos-r3-xp-049

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_bug723069_editor-breakpoints.js | The correct script was loaded initially. - Didn't expect -1, but got it
Comment 72 Tim Taubert [:ttaubert] 2012-04-27 05:50:11 PDT
https://hg.mozilla.org/mozilla-central/rev/455a266e6618
Comment 73 Treeherder Robot 2012-05-01 14:45:35 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=11368084&tree=Mozilla-Beta
Rev3 WINNT 5.1 mozilla-beta pgo test mochitest-other on 2012-05-01 14:06:02
slave: talos-r3-xp-024

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_bug723069_editor-breakpoints.js | The correct script was loaded initially. - Didn't expect -1, but got it
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_bug723069_editor-breakpoints.js | editor.getBreakpoints().length is correct - Got 0, expected 1
Comment 74 :Ehsan Akhgari 2012-05-02 13:25:18 PDT
This patch was in a range which caused a Ts regression, so I backed out the whole range:

https://hg.mozilla.org/mozilla-central/rev/24a6a53c714a

Please reland after investigating and fixing the regression.
Comment 75 Rob Campbell [:rc] (:robcee) 2012-05-03 07:13:35 PDT
https://hg.mozilla.org/integration/fx-team/rev/5fb5a30f1b8a
Comment 76 Tim Taubert [:ttaubert] 2012-05-04 07:30:01 PDT
https://hg.mozilla.org/mozilla-central/rev/5fb5a30f1b8a
Comment 77 Treeherder Robot 2012-05-07 01:27:58 PDT
jfkthame
https://tbpl.mozilla.org/php/getParsedLog.php?id=11526115&tree=Mozilla-Aurora
Rev3 WINNT 5.1 mozilla-aurora pgo test mochitest-other on 2012-05-06 23:52:54
slave: talos-r3-xp-017

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_bug723069_editor-breakpoints.js | The correct script was loaded initially. - Didn't expect -1, but got it
Comment 78 Treeherder Robot 2012-05-07 10:13:00 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=11535271&tree=Mozilla-Aurora
Rev3 WINNT 5.1 mozilla-aurora pgo test mochitest-other on 2012-05-07 08:17:52
slave: talos-r3-xp-069

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_bug723069_editor-breakpoints.js | The correct script was loaded initially. - Didn't expect -1, but got it
Comment 79 Treeherder Robot 2012-05-07 18:59:20 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=11547806&tree=Mozilla-Aurora
Rev3 WINNT 5.1 mozilla-aurora pgo test mochitest-other on 2012-05-07 16:34:42
slave: talos-r3-xp-052

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_bug723069_editor-breakpoints.js | The correct script was loaded initially. - Didn't expect -1, but got it
Comment 80 Treeherder Robot 2012-05-12 01:10:04 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=11698638&tree=Mozilla-Aurora
Rev3 WINNT 5.1 mozilla-aurora pgo test mochitest-other on 2012-05-11 21:29:54
slave: talos-r3-xp-011

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_bug723069_editor-breakpoints.js | The correct script was loaded initially. - Didn't expect -1, but got it
Comment 81 Treeherder Robot 2012-05-22 02:44:26 PDT
edmorley
https://tbpl.mozilla.org/php/getParsedLog.php?id=11941678&tree=Mozilla-Beta
Rev3 WINNT 5.1 mozilla-beta pgo test mochitest-other on 2012-05-22 00:40:30
slave: talos-r3-xp-027

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_bug723069_editor-breakpoints.js | The correct script was loaded initially. - Didn't expect -1, but got it
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_bug723069_editor-breakpoints.js | editor.getBreakpoints().length is correct - Got 0, expected 1
Comment 82 Treeherder Robot 2012-05-22 18:46:05 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=11963689&tree=Mozilla-Aurora
Rev3 WINNT 5.1 mozilla-aurora pgo test mochitest-other on 2012-05-22 15:48:14
slave: talos-r3-xp-015

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_bug723069_editor-breakpoints.js | The correct script was loaded initially. - Didn't expect -1, but got it
Comment 83 Treeherder Robot 2012-05-28 14:25:38 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=12141545&tree=Mozilla-Aurora
Rev3 WINNT 5.1 mozilla-aurora pgo test mochitest-other on 2012-05-28 13:45:23
slave: talos-r3-xp-005

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_bug723069_editor-breakpoints.js | The correct script was loaded initially. - Didn't expect -1, but got it
Comment 84 Treeherder Robot 2012-06-23 00:43:56 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=12920361&tree=Mozilla-Beta
Rev3 WINNT 5.1 mozilla-beta pgo test mochitest-other on 2012-06-22 19:19:37
slave: talos-r3-xp-073

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_bug723069_editor-breakpoints.js | The correct script was loaded initially. - Didn't expect -1, but got it
Comment 85 Treeherder Robot 2012-07-09 15:15:09 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=13364282&tree=Mozilla-Beta
Rev3 WINNT 5.1 mozilla-beta pgo test mochitest-other on 2012-07-09 13:45:36
slave: talos-r3-xp-050

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_bug723069_editor-breakpoints.js | The correct script was loaded initially. - Didn't expect -1, but got it
Comment 86 Treeherder Robot 2012-07-10 16:03:49 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=13404173&tree=Mozilla-Beta
Rev3 WINNT 5.1 mozilla-beta pgo test mochitest-other on 2012-07-10 15:22:07
slave: talos-r3-xp-049

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_bug723069_editor-breakpoints.js | The correct script was loaded initially. - Didn't expect -1, but got it

Note You need to log in before you can comment on or make changes to this bug.